diff --git a/isisd/isis_srv6.c b/isisd/isis_srv6.c
index 7c7597ecf3ef..61c9b187f572 100644
--- a/isisd/isis_srv6.c
+++ b/isisd/isis_srv6.c
@@ -44,6 +44,11 @@ void isis_srv6_area_init(struct isis_area *area)
 
 	/* Pull defaults from the YANG module */
 	srv6db->config.enabled = yang_get_default_bool("%s/enabled", ISIS_SRV6);
+
+	srv6db->config.max_seg_left_msd = SRV6_MAX_SEG_LEFT;
+	srv6db->config.max_end_pop_msd = SRV6_MAX_END_POP;
+	srv6db->config.max_h_encaps_msd = SRV6_MAX_H_ENCAPS;
+	srv6db->config.max_end_d_msd = SRV6_MAX_END_D;
 }
 
 /**
diff --git a/isisd/isis_srv6.h b/isisd/isis_srv6.h
index 2efd89e3876d..72cb5e67273b 100644
--- a/isisd/isis_srv6.h
+++ b/isisd/isis_srv6.h
@@ -25,6 +25,12 @@
 #ifndef _FRR_ISIS_SRV6_H
 #define _FRR_ISIS_SRV6_H
 
+/* Maximum SRv6 SID Depths supported by the router */
+#define SRV6_MAX_SEG_LEFT 16
+#define SRV6_MAX_END_POP 0
+#define SRV6_MAX_H_ENCAPS 1
+#define SRV6_MAX_END_D 2
+
 /* Per-area IS-IS SRv6 Data Base (SRv6 DB) */
 struct isis_srv6_db {
 
@@ -32,6 +38,18 @@ struct isis_srv6_db {
 	struct {
 		/* Administrative status of SRv6 */
 		bool enabled;
+
+		/* Maximum Segments Left Depth supported by the router */
+		uint8_t max_seg_left_msd;
+
+		/* Maximum Maximum End Pop Depth supported by the router */
+		uint8_t max_end_pop_msd;
+
+		/* Maximum H.Encaps supported by the router */
+		uint8_t max_h_encaps_msd;
+
+		/* Maximum End D MSD supported by the router */
+		uint8_t max_end_d_msd;
 	} config;
 };
 
